Home/Support/Support Forum/Fedora 2.6.18 kernels may be missing config.h
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

Fedora 2.6.18 kernels may be missing config.h

0 votes
I'm upgrading my console servers and when I tried to build the source rpm or use the source distro, I kept getting errors indicating "linux/config.h: no such file..."

It looks at first glance like its missing from the Digi distro, but apparently its missing from fedora.

There are several reports about config.h being deprecated during 2.6.18 in Fedora. There are serveral workarounds floating around, among others to just put a config.h in /lib/modules/<kernel>/build/include/linux. That worked for me, at least to get the rpm built.

For example:
http://www.phoronix.com/redblog/?p=blog&i=NTUwMA

--
David Pullman
Systems Administrator
Manufacturing Engineering Laboratory
National Institute of Standards & Technology
Mail Stop 8203
100 Bureau Drive
Gaithersburg, MD 20899-8260
Tel: (301) 975-5385
Fax: (301) 926-3842
E-mail: david.pullman@nist.gov
asked Apr 18, 2007 in Serial Cards by dpullman_at_nist.gov New to the Community (3 points)

Please log in or register to answer this question.

6 Answers

0 votes
Which driver are you installing?
answered Apr 18, 2007 by userid0 Veteran of the Digi Community (2,158 points)
0 votes
I'm using 40002347_c.src.rpm to work with Xem PCI units. With this kernel, 2.6.18, and by copying a config.h into /lib/modules/2.6.18-1.2798.fc6/build/include/linux/config.h, I was able to get it to build and work properly.

However, when I then updated to 2.6.20, the build is broken.

make[2]: Entering directory `/usr/src/kernels/2.6.20-1.2944.fc6-i686'
CC [M] /usr/src/redhat/BUILD/dgap-1.3/driver/dgap_driver.o
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_driver.c: In function 'dgap_finalize_board_init':
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_driver.c:672: warning: passing argument 2 of 'request_irq' from incompatible pointer type
CC [M] /usr/src/redhat/BUILD/dgap-1.3/driver/dgap_fep5.o
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_fep5.c: In function 'dgap_param':
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_fep5.c:1231: warning: assignment from incompatible pointer type
CC [M] /usr/src/redhat/BUILD/dgap-1.3/driver/dgap_mgmt.o
CC [M] /usr/src/redhat/BUILD/dgap-1.3/driver/dgap_parse.o
CC [M] /usr/src/redhat/BUILD/dgap-1.3/driver/dgap_proc.o
CC [M] /usr/src/redhat/BUILD/dgap-1.3/driver/dgap_trace.o
CC [M] /usr/src/redhat/BUILD/dgap-1.3/driver/dgap_tty.o
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_tty.c: In function 'dgap_tty_register':
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_tty.c:203: error: incompatible types in assignment
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_tty.c:253: warning: assignment from incompatible pointer type
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_tty.c:282: error: incompatible types in assignment
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_tty.c:333: warning: assignment from incompatible pointer type
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_tty.c: In function 'dgap_tty_close':
/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_tty.c:1819: warning: assignment from incompatible pointer type
make[3]: *** [/usr/src/redhat/BUILD/dgap-1.3/driver/dgap_tty.o] Error 1
make[2]: *** [_module_/usr/src/redhat/BUILD/dgap-1.3/driver] Error 2
make[2]: Leaving directory `/usr/src/kernels/2.6.20-1.2944.fc6-i686'
make[1]: *** [build] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/dgap-1.3/driver'
make: *** [build] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.33377 (%build)

So I'll have to stay at 2.6.18 until I can get this resolved.

--David
answered Apr 20, 2007 by dpullman_at_nist.gov New to the Community (3 points)
0 votes
I recommend trying the pre-release candidate at:

ftp://ftp1.digi.com/support/beta/linux/dgap/dgap-1.3-11.src.rpm

If this driver still produces errors, I recommend contacting Digi Tech. Support to purse this further.
answered Apr 20, 2007 by userid0 Veteran of the Digi Community (2,158 points)
0 votes
Thanks very much for the quick reply! I'll try that ASAP, and I'll post results.

--David
answered Apr 20, 2007 by dpullman_at_nist.gov New to the Community (3 points)
0 votes
OK, in summary, here's what I've found:

I'm working with an FC6 box (a new DEll 2950) with two kernels installed, 2.6.18-1.2798.fc6 and 2.6.20-1.2944.fc6. The 40002347_c.src.rpm builds and works fine with 2.6.18, but will not build with 2.6.20. The pre-release candidate dgap-1.3-11.src.rpm builds without errors on either kernel, but will not work with 2.6.20. It loads OK, but the console program conserver cannot connect to the console.

I started conserver in debug mode and it says that there is no /dev/ttya01 so it downs the console that I have configured for that tty (this is still not in production so I only have one host connected on this Xem). As near as I can tell, with 2.6.20 and the 1.3-11 module there are no /dev/ttya's created.

So unless there are any other suggestions I'll forward this info to Tech Support.

Thanks very much.

--David
answered Apr 23, 2007 by dpullman_at_nist.gov New to the Community (3 points)
0 votes
Is the new kernel using UDEV? If so, do the /dev/tty_dgap_#_# devices exist?
answered Apr 24, 2007 by userid0 Veteran of the Digi Community (2,158 points)
...